/***************************************************************************
                          qt3_gui.h  -  description
                             -------------------
    begin                : Mon Oct 20 2003
    copyright            : (C) 2003 by Guilherme Fortunato
    email                : guilherme@linksat.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "gui.h"

#include <qdialog.h>
#include <qframe.h>
#include <qlabel.h>

class Mupen64_AudioConfig
	: public QDialog
{

Q_OBJECT

friend class QT3_Interface;

public:
	Mupen64_AudioConfig( Plugin_Graphical_Interface * );
	~Mupen64_AudioConfig();
	void Configure();

public slots:
	void begin_testing();
	void loadDefaults();
	void loadConfigurationFromFile();
	void saveConfigurationToFile();
	void showFileDialog();
	void showAbout();

protected slots:
	virtual void accept();
	virtual void reject();
	virtual bool eventFilter( QObject *, QEvent * );

private:
	Plugin_Graphical_Interface *gui;

	class infoTip
		: public QFrame
	{

	public:
		infoTip( QWidget * );
		~infoTip();
		void display( const QString & );
		virtual void show();
		virtual void hide();

	protected:
		virtual void paintEvent( QPaintEvent * );
		virtual void mousePressEvent( QMouseEvent * );

	private:
		QWidget *parentWindow;
		QLabel *textLabel;
	} *Info;
};
